## mtr 0.41

=== Makefile ===

#
# This is an attempt on simplifying the compilation of mtr to a simple "make". 
#

firstrule: 
	./configure
	$(MAKE)

clean: 
	rm -f *.o *~ core

distclean: clean
	rm -f mtr config.cache config.status config.log \
	          stamp-h stamp-h[0-9]* TAGS ID

## mtr 0.75-3

=== debian/changelog ===
mtr (0.75-3) unstable; urgency=low

  * initial release for Maemo 5 with new maintainer
  * optifying
 
 -- Alexandr Kutilin <kn1ght@kn1ght.ru>  Wen, 18 Jan 2010 09:50:21 +0300

mtr (0.75-2) unstable; urgency=low

  * Use rm -f in rules clean target where necessary, closes: #499789
 
 -- Robert Woodcock <rcw@debian.org>  Mon, 22 Sep 2008 07:30:21 -0700

mtr (0.75-1) unstable; urgency=low

  * New upstream version with rewritten GTK+ code
    closes: #65005, #30263
  * Bumped Standards-Version to 3.8.0
  * Lintian cleanups

 -- Robert Woodcock <rcw@debian.org>  Sun, 21 Sep 2008 10:39:10 -0700

mtr (0.73-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Wed, 16 Apr 2008 19:38:12 -0700

mtr (0.72-2) unstable; urgency=low

  * Reupload to unstable since etch is released.
  * Include no-busy-wait patch in #156378,
    closes: #156378, #259906, #348650, #384444
  * Use debhelper compatibility level 5

 -- Robert Woodcock <rcw@debian.org>  Fri, 25 May 2007 21:42:04 -0700

mtr (0.72-1) experimental; urgency=low

  * New upstream version fixes IPv6 reverse DNS lookups for 8-bit
    hostnames, closes: #384926

 -- Robert Woodcock <rcw@debian.org>  Mon, 01 Jan 2007 15:33:33 -0800

mtr (0.71-2) unstable; urgency=low

  * Run autoreconf --force --install to allow building without automake,
    closes: #365845

 -- Robert Woodcock <rcw@debian.org>  Sun, 14 May 2006 09:37:17 -0700

mtr (0.71-1) unstable; urgency=low

  * New upstream version
  * Follow autotools-dev suggestions regarding timestamping, closes: #362614

 -- Robert Woodcock <rcw@debian.org>  Tue, 02 May 2006 18:24:05 -0700

mtr (0.70-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Thu, 23 Mar 2006 17:31:28 -0800

mtr (0.69-4) unstable; urgency=low

  * Woops, forgot to run autoconf for the configure.in change in -3,
    closes: #254089

 -- Robert Woodcock <rcw@debian.org>  Sun, 05 Mar 2006 18:19:05 -0800

mtr (0.69-3) unstable; urgency=low

  * Added check for __res_mkquery to build on amd64,
    closes: #166613, #254089, #257981, #354342
  * Uppercased initial letter of menu title, closes: #320609
  * Fixed manual page and PrintHelp function for -p/-s switcharoo,
    closes: #305728
  * DNS fix from Jarek Kaminski if no nameservers are configured,
    closes: #301346

 -- Robert Woodcock <rcw@debian.org>  Fri, 03 Mar 2006 15:16:27 -0800

mtr (0.69-2) unstable; urgency=low

  * Added upstream source location to copyright file, closes #312670

 -- Robert Woodcock <rcw@debian.org>  Fri, 10 Jun 2005 19:29:46 -0700

mtr (0.69-1) unstable; urgency=low

  * New upstream version adds IPv6 support
  * Fixed copyright file, closes #290215
  * Allow for IPv4 operation on IPv4-only systems
  * Copy addr buffer in net_process_ping immediately to avoid overwriting it

 -- Robert Woodcock <rcw@debian.org>  Wed, 23 Mar 2005 19:39:59 -0800

mtr (0.67-1) unstable; urgency=high

  * SECURITY: New upstream version fixes off-by-one error with MAXFLD,
    closes: #285228

 -- Robert Woodcock <rcw@debian.org>  Sun, 12 Dec 2004 11:26:07 -0800

mtr (0.63-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Christoph Berg <cb@df7cb.de> converting fld_index[] from
    char to int in order to work around the invalid assumption that plain char++
    is always unsigned (closes: #283756).

 -- Mark Brown <broonie@debian.org>  Thu,  9 Dec 2004 11:39:42 +0000

mtr (0.63-1.1) unstable; urgency=low

  * NMU.
  * Remove useless dependency on non-existing automake-1.5 and
    autoconf (Closes: #266006).

 -- Christoph Berg <cb@df7cb.de>  Sat, 27 Nov 2004 01:34:28 +0100

mtr (0.63-1) unstable; urgency=low

  * New upstream version
  * New version compiles against gtk2.4, closes: #262606
  * New version validates input to order-of-fields option, preventing
    segfaults, closes: #264055, #264694
  * Fixed virtual dependancy on automaken in response to #257981

 -- Robert Woodcock <rcw@debian.org>  Sun, 15 Aug 2004 16:35:32 -0700

mtr (0.58-1) unstable; urgency=low

  * New upstream version, closes: #252369

 -- Robert Woodcock <rcw@debian.org>  Sat, 03 Jul 2004 13:59:24 -0700

mtr (0.54-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Sat,  3 May 2003 08:57:48 -0700

mtr (0.53-1) unstable; urgency=low

  * New upstream version, closes: #189692

 -- Robert Woodcock <rcw@debian.org>  Wed, 23 Apr 2003 19:08:15 -0700

mtr (0.52-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Sun, 24 Nov 2002 12:11:51 -0800

mtr (0.51-1) unstable; urgency=low

  * New upstream version fixes hanging --report option, closes: #148045
  * Reverted some makefile reversions in 0.51

 -- Robert Woodcock <rcw@debian.org>  Fri, 24 May 2002 16:06:34 -0700

mtr (0.50-1) unstable; urgency=low

  * New upstream version
  * Fixes hang on window resize bug, closes: #94913, #145641

 -- Robert Woodcock <rcw@debian.org>  Tue,  7 May 2002 21:13:32 -0700

mtr (0.48-1) unstable; urgency=high

  * New upstream version, fixes MTR_OPTIONS security hole, closes #137102
  * Added absolute pathnames to debian/rules

 -- Robert Woodcock <rcw@debian.org>  Wed,  6 Mar 2002 10:10:05 -0800

mtr (0.45-1) unstable; urgency=low

  * New upstream version, closes: #130683

 -- Robert Woodcock <rcw@debian.org>  Thu, 24 Jan 2002 16:57:26 -0800

mtr (0.44-2) unstable; urgency=low

  * Removed mtr-tiny menu entry, closes: #125741
  * Fixed paragraph separation in package descriptions, closes: #120790
  * Lintian cleanups

 -- Robert Woodcock <rcw@debian.org>  Sun, 30 Dec 2001 13:38:11 -0800

mtr (0.44-1) unstable; urgency=low

  * New upstream version
  * Added explicit build dependancies on gtk 1.2 to get the build daemons
    to compile mtr against the newer version, closes: #103875

 -- Robert Woodcock <rcw@debian.org>  Fri,  3 Aug 2001 09:02:34 -0700

mtr (0.42-7) unstable; urgency=low



=== debian/control ===
Source: mtr
Section: net
Priority: standard
Maintainer: Alexandr Kutilin <kn1ght@kn1ght.ru>
Standards-Version: 3.8.0
Build-Depends: libncurses-dev, debhelper (>= 5), libgtk2.0-dev, automake1.9

Package: mtr-tiny
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50), mtr
Replaces: mtr
Description: Full screen ncurses traceroute tool
 mtr combines the functionality of the 'traceroute' and 'ping' programs
 in a single network diagnostic tool.
 .
 As mtr starts, it investigates the network connection between the host
 mtr runs on and a user-specified destination host.  After it
 determines the address of each network hop between the machines,
 it sends a sequence ICMP ECHO requests to each one to determine the
 quality of the link to each machine.  As it does this, it prints
 running statistics about each machine.
 .
 mtr-tiny is compiled without support for X and conserves disk space.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# From /usr/share/doc/autotools-dev/README.Debian.gz:
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

build: build-stamp
build-stamp:
	dh_testdir


	touch configure.in && \
	touch aclocal.m4 && \
	touch configure

#	mkdir mtr && cd mtr && ../configure $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --enable-gtk2
#	make -C mtr

	mkdir mtr-tiny && cd mtr-tiny && ../configure --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --without-gtk
	make -C mtr-tiny

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf mtr mtr-tiny

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) -C mtr-tiny prefix=`pwd`/debian/mtr-tiny/usr install
	mv mtr-tiny/debian/tmp/usr/bin/mtr debian/mtr-tiny/usr/bin/

#	dh_installdocs -pmtr-tiny
#	dh_installexamples -mtr-ptiny
#	dh_installmenu -pmtr-tiny
#	dh_installinit -pmtr-tiny
#	dh_installcron -pmtr-tiny
	dh_installman -pmtr-tiny mtr.8
#	dh_undocumented -pmtr-tiny
	dh_installchangelogs -pmtr-tiny NEWS
	dh_strip -pmtr-tiny
	dh_compress -pmtr-tiny
#	dh_fixperms -pmtr-tiny
#	dh_suidregister -pmtr-tiny
	dh_installdeb -pmtr-tiny
	dh_shlibdeps -pmtr-tiny
	dh_gencontrol -pmtr-tiny
#	dh_makeshlibs -pmtr-tiny
	dh_md5sums -pmtr-tiny
	dh_builddeb -pmtr-tiny

#	dh_installdirs -pmtr
#	$(MAKE) -C mtr prefix=`pwd`/debian/mtr/usr install
#	mv mtr/debian/tmp/usr/bin/mtr debian/mtr/usr/bin/

#	dh_installdocs -pmtr
#	dh_installexamples -pmtr
#	dh_installmenu -pmtr
#	dh_installinit -pgtk
#	dh_installcron -pmtr
#	dh_installman -pmtr mtr.8
#	dh_undocumented -pmtr
#	dh_installchangelogs -pmtr NEWS
#	dh_strip -pmtr
#	dh_compress -pmtr
#	dh_fixperms -pmtr
#	dh_suidregister -pmtr
#	dh_installdeb -pmtr
#	dh_shlibdeps -pmtr
#	dh_gencontrol -pmtr
#	dh_makeshlibs -pmtr
#	dh_md5sums -pmtr
#	dh_builddeb -pmtr


source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## mtr 0.82

=== debian/changelog ===
mtr (0.82-3maemo1) fremantle; urgency=low

  * Packaged for Maemo
  * Upgrade to source format 3.0 (quilt)
  * Only build mtr-tiny
  * Added CLI icon, updated Section and Description

 -- Graham Inggs <graham@nerve.org.za>  Sat, 1 Sep 2012 19:27:00 +0200

mtr (0.82-3) unstable; urgency=low

  * Added patch by Raúl Benencia to fix FTBFS by generating aclocal.m4
    before compiling, closes: #662583

 -- Robert Woodcock <rcw@debian.org>  Sun, 15 Apr 2012 14:40:05 -0700

mtr (0.82-2) unstable; urgency=low

  * Add patch by Moritz Mühlenhoff to enable hardened build flags,
    closes: #654117.

 -- Robert Woodcock <rcw@debian.org>  Sun, 08 Jan 2012 08:05:30 -0800

mtr (0.82-1) unstable; urgency=low

  * New upstream version fixes FTBFS, closes: #650535

 -- Robert Woodcock <rcw@debian.org>  Sun, 25 Dec 2011 09:40:19 -0800

mtr (0.81-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Sat, 26 Nov 2011 20:15:42 -0800

mtr (0.80-1) unstable; urgency=low

  * New upstream version
  * Add Homepage field to debian/control, closes: #314651
  * Change Priority field to match that of the archive overrides,
    closes: #416567
  * Lintian cleanups

 -- Robert Woodcock <rcw@debian.org>  Mon, 06 Sep 2010 16:53:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: mtr
-Section: net
-Priority: standard
-Maintainer: Alexandr Kutilin <kn1ght@kn1ght.ru>
-Standards-Version: 3.8.0
-Build-Depends: libncurses-dev, debhelper (>= 5), libgtk2.0-dev, automake1.9
+Section: user/network
+Priority: optional
+Maintainer: Graham Inggs <graham@nerve.org.za>
+XSBC-Original-Maintainer: Robert Woodcock <rcw@debian.org>
+Standards-Version: 3.9.1
+Homepage: http://www.bitwizard.nl/mtr/
+Build-Depends: libncurses-dev, debhelper (>= 7), automake
 
 Package: mtr-tiny
 Architecture: any
-Priority: standard
-Depends: ${shlibs:Depends}
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: suidmanager (<< 0.50), mtr
 Replaces: mtr
 Description: Full screen ncurses traceroute tool
@@ -23,3 +25,78 @@
  running statistics about each machine.
  .
  mtr-tiny is compiled without support for X and conserves disk space.
+ .
+ This application can only be executed from the command line.
+XB-Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
+ uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
+ F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
+ 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
+ 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
+ 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
+ FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
+ pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
+ Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
+ RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
+ 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
+ sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
+ qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
+ q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
+ +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
+ xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
+ ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
+ 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
+ lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
+ 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
+ swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
+ XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
+ drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
+ f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
+ A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
+ 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
+ tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
+ +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
+ XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
+ g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
+ ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
+ DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
+ zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
+ YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
+ sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
+ 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
+ acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
+ 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
+ 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
+ S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
+ NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
+ 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
+ PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
+ yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
+ eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
+ aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
+ LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
+ I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
+ D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
+ kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
+ kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
+ WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
+ 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
+ RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
+ UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
+ F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
+ AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
+ MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
+ qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
+ zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
+ HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
+ 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
+ t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
+ n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
+ vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
+ 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
+ 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
+ Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
+ zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
+ YII=
+

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,11 @@
 	touch aclocal.m4 && \
 	touch configure
 
-#	mkdir mtr && cd mtr && ../configure $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --enable-gtk2
-#	make -C mtr
+	aclocal && \
+	automake --foreign --include-deps Makefile && \
+	autoconf
 
-	mkdir mtr-tiny && cd mtr-tiny && ../configure --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --without-gtk
+	mkdir mtr-tiny && cd mtr-tiny && ../configure $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --without-gtk
 	make -C mtr-tiny
 
 	touch build-stamp
@@ -41,7 +42,10 @@
 	rm -rf mtr mtr-tiny
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) distclean
+	$(MAKE) distclean || true
+	rm -f aclocal.m4
+	rm -f configure
+	rm -f Makefile.in	
 
 	dh_clean
 
@@ -61,9 +65,9 @@
 	$(MAKE) -C mtr-tiny prefix=`pwd`/debian/mtr-tiny/usr install
 	mv mtr-tiny/debian/tmp/usr/bin/mtr debian/mtr-tiny/usr/bin/
 
-#	dh_installdocs -pmtr-tiny
+	dh_installdocs -pmtr-tiny
 #	dh_installexamples -mtr-ptiny
-#	dh_installmenu -pmtr-tiny
+	dh_installmenu -pmtr-tiny
 #	dh_installinit -pmtr-tiny
 #	dh_installcron -pmtr-tiny
 	dh_installman -pmtr-tiny mtr.8
@@ -80,30 +84,6 @@
 	dh_md5sums -pmtr-tiny
 	dh_builddeb -pmtr-tiny
 
-#	dh_installdirs -pmtr
-#	$(MAKE) -C mtr prefix=`pwd`/debian/mtr/usr install
-#	mv mtr/debian/tmp/usr/bin/mtr debian/mtr/usr/bin/
-
-#	dh_installdocs -pmtr
-#	dh_installexamples -pmtr
-#	dh_installmenu -pmtr
-#	dh_installinit -pgtk
-#	dh_installcron -pmtr
-#	dh_installman -pmtr mtr.8
-#	dh_undocumented -pmtr
-#	dh_installchangelogs -pmtr NEWS
-#	dh_strip -pmtr
-#	dh_compress -pmtr
-#	dh_fixperms -pmtr
-#	dh_suidregister -pmtr
-#	dh_installdeb -pmtr
-#	dh_shlibdeps -pmtr
-#	dh_gencontrol -pmtr
-#	dh_makeshlibs -pmtr
-#	dh_md5sums -pmtr
-#	dh_builddeb -pmtr
-
-
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## mtr 0.85

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/mtr
pkgincludedir = $(includedir)/mtr
pkglibdir = $(libdir)/mtr
pkglibexecdir = $(libexecdir)/mtr
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
sbin_PROGRAMS = mtr$(EXEEXT)
am__append_1 = asn.c asn.h
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/version.h.in $(top_srcdir)/configure AUTHORS COPYING \
	NEWS TODO depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = version.h.tmp
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
PROGRAMS = $(sbin_PROGRAMS)
am__mtr_SOURCES_DIST = mtr.c net.c net.h dns.c dns.h raw.c raw.h \
	split.c split.h display.c display.h report.c report.h getopt.c \
	getopt1.c getopt.h select.c select.h mtr-curses.h mtr-gtk.h \
	asn.c asn.h
am__objects_1 = asn.$(OBJEXT)
am_mtr_OBJECTS = mtr.$(OBJEXT) net.$(OBJEXT) dns.$(OBJEXT) \
	raw.$(OBJEXT) split.$(OBJEXT) display.$(OBJEXT) \
	report.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT) \
	select.$(OBJEXT) $(am__objects_1)
nodist_mtr_OBJECTS =
mtr_OBJECTS = $(am_mtr_OBJECTS) $(nodist_mtr_OBJECTS)
am__DEPENDENCIES_1 =
mtr_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(mtr_LDFLAGS) $(LDFLAGS) -o \
	$@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(mtr_SOURCES) $(EXTRA_mtr_SOURCES) $(nodist_mtr_SOURCES)
DIST_SOURCES = $(am__mtr_SOURCES_DIST) $(EXTRA_mtr_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
man8dir = $(mandir)/man8
NROFF = nroff
MANS = $(man_MANS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/wolff/mtr/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/wolff/mtr/missing --run tar
AUTOCONF = ${SHELL} /home/wolff/mtr/missing --run autoconf
AUTOHEADER = ${SHELL} /home/wolff/mtr/missing --run autoheader
AUTOMAKE = ${SHELL} /home/wolff/mtr/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -Wall -Wno-pointer-sign
CPP = gcc -E
CPPFLAGS = 
CURSES_OBJ = curses.o
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GLIB_CFLAGS = 
GLIB_LIBS = 
GREP = /bin/grep
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GTK_OBJ = gtk.o
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm -ltinfo -ltermcap  -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lm
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/wolff/mtr/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mtr
PACKAGE_BUGREPORT = 
PACKAGE_NAME = mtr
PACKAGE_STRING = mtr 0.85
PACKAGE_TARNAME = mtr
PACKAGE_URL = 
PACKAGE_VERSION = 0.85
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RESOLV_LIBS = -lresolv
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.85
abs_builddir = /home/wolff/mtr
abs_srcdir = /home/wolff/mtr
abs_top_builddir = /home/wolff/mtr
abs_top_srcdir = /home/wolff/mtr
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/wolff/mtr/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = img
man_MANS = mtr.8
mtr_SOURCES = mtr.c net.c net.h dns.c dns.h raw.c raw.h split.c \
	split.h display.c display.h report.c report.h getopt.c \
	getopt1.c getopt.h select.c select.h mtr-curses.h mtr-gtk.h \
	$(am__append_1)
nodist_mtr_SOURCES = version.h
EXTRA_mtr_SOURCES = curses.c \
                    gtk.c

DEFAULT_INCLUDES = $(GLIB_CFLAGS) -I.
mtr_DEPENDENCIES = $(GTK_OBJ) $(CURSES_OBJ)
mtr_LDFLAGS = $(GTK_OBJ) $(CURSES_OBJ)
mtr_LDADD = $(GLIB_LIBS) $(RESOLV_LIBS)
CLEANFILES = version.h
BUILT_SOURCES = version.h
EXTRA_DIST = SECURITY mtr.8 Makefile Makefile.dist
DISTCLEANFILES = *~
all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
version.h.tmp: $(top_builddir)/config.status $(srcdir)/version.h.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \

=== img/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# img/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/mtr
pkgincludedir = $(includedir)/mtr
pkglibdir = $(libdir)/mtr
pkglibexecdir = $(libexecdir)/mtr
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = img
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/wolff/mtr/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/wolff/mtr/missing --run tar
AUTOCONF = ${SHELL} /home/wolff/mtr/missing --run autoconf
AUTOHEADER = ${SHELL} /home/wolff/mtr/missing --run autoheader
AUTOMAKE = ${SHELL} /home/wolff/mtr/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -Wall -Wno-pointer-sign
CPP = gcc -E
CPPFLAGS = 
CURSES_OBJ = curses.o
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GLIB_CFLAGS = 
GLIB_LIBS = 
GREP = /bin/grep
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GTK_OBJ = gtk.o
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm -ltinfo -ltermcap  -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lm
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/wolff/mtr/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mtr
PACKAGE_BUGREPORT = 
PACKAGE_NAME = mtr
PACKAGE_STRING = mtr 0.85
PACKAGE_TARNAME = mtr
PACKAGE_URL = 
PACKAGE_VERSION = 0.85
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RESOLV_LIBS = -lresolv
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.85
abs_builddir = /home/wolff/mtr/img
abs_srcdir = /home/wolff/mtr/img
abs_top_builddir = /home/wolff/mtr
abs_top_srcdir = /home/wolff/mtr
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/wolff/mtr/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = mtr_icon.xpm
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign img/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign img/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## mtr 0.86

=== debian/changelog ===
mtr (0.86-1) unstable; urgency=low

  * Added patch from Andrew Suffield to use setcap instead of setuid,
    closes: #768650  
  * Additional changes by Rhonda D'Vine:
    - New upstream release
    - Bump debhelper compat to 9.
    -  Use dh style debian/rules.
    - Call ./bootstrap.sh before configure run.

 -- Robert Woodcock <rcw@debian.org>  Sun, 06 Dec 2015 13:38:56 -0800

mtr (0.85-3) unstable; urgency=low

  * Correct changelog entries for 0.85-1 and 0.85-2, closes: #742133
  * Added build-indep and build-arch targets to debian/rules
  * Add overrides for lintian warnings about config.log and config.status
    files in source - they are shipped upstream but they are deleted in
    debian/rules clean
  * Update standards version to 3.9.6

 -- Robert Woodcock <rcw@debian.org>  Sun, 19 Oct 2014 02:36:16 -0700

mtr (0.85-2) unstable; urgency=low

  * Added patch by Hideki Yamane to use autoreconf instead of
    aclocal/automake/autoconf to fix FTBFS, closes: #725568

 -- Robert Woodcock <rcw@debian.org>  Fri, 18 Oct 2013 08:20:03 -0700

mtr (0.85-1) unstable; urgency=low

  * New upstream version, closes: #706816, #717727

 -- Robert Woodcock <rcw@debian.org>  Wed, 24 Jul 2013 19:53:47 -0700

=== debian/control ===
Source: mtr
Section: net
Priority: optional
Maintainer: Robert Woodcock <rcw@debian.org>
Standards-Version: 3.9.6
Homepage: http://www.bitwizard.nl/mtr/
Build-Depends: libncurses-dev, debhelper (>= 9~), libgtk2.0-dev, automake

Package: mtr
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50), mtr-tiny
Replaces: mtr-tiny
Description: Full screen ncurses and X11 traceroute tool
 mtr combines the functionality of the 'traceroute' and 'ping' programs 
 in a single network diagnostic tool.
 .
 As mtr starts, it investigates the network connection between the host
 mtr runs on and a user-specified destination host.  After it
 determines the address of each network hop between the machines, 
 it sends a sequence ICMP ECHO requests to each one to determine the 
 quality of the link to each machine.  As it does this, it prints
 running statistics about each machine.

Package: mtr-tiny
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50), mtr
Replaces: mtr
Description: Full screen ncurses traceroute tool
 mtr combines the functionality of the 'traceroute' and 'ping' programs
 in a single network diagnostic tool.
 .
 As mtr starts, it investigates the network connection between the host
 mtr runs on and a user-specified destination host.  After it
 determines the address of each network hop between the machines,
 it sends a sequence ICMP ECHO requests to each one to determine the
 quality of the link to each machine.  As it does this, it prints
 running statistics about each machine.
 .
 mtr-tiny is compiled without support for X and conserves disk space.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@



override_dh_auto_configure:
	./bootstrap.sh

	touch configure.in && \
	touch aclocal.m4 && \
	touch configure

	autoreconf -fi

	mkdir mtr && cd mtr && CFLAGS=-I.. ../configure $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin

	mkdir mtr-tiny && cd mtr-tiny && CFLAGS=-I.. ../configure $(shell dpkg-buildflags --export=configure >/dev/null 2>&1 && dpkg-buildflags --export=configure) $(confflags) --prefix=`pwd`/debian/tmp/usr --mandir=`pwd`/debian/tmp/usr/share/man --sbindir=`pwd`/debian/tmp/usr/bin --without-gtk



override_dh_auto_build:
	make -C mtr
	make -C mtr-tiny



override_dh_auto_clean:
	rm -f Makefile.in
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.in
	rm -rf mtr
	rm -rf mtr-tiny
	dh_auto_clean



override_dh_installdirs-arch:
	dh_installdirs -a
	$(MAKE) -C mtr-tiny prefix=`pwd`/debian/mtr-tiny/usr install
	mv mtr-tiny/debian/tmp/usr/bin/mtr debian/mtr-tiny/usr/bin/
	$(MAKE) -C mtr prefix=`pwd`/debian/mtr/usr install
	mv mtr/debian/tmp/usr/bin/mtr debian/mtr/usr/bin/

override_dh_installchangelogs-arch:
	dh_installchangelogs -a NEWS


override_dh_fixperms-arch:
	dh_fixperms -a
